TileGrabber.Builder (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.mapTile
Class TileGrabber.Builder

    java.lang.Object
      com.bbn.openmap.dataAccess.mapTile.TileGrabber.Builder

Enclosing class:
  TileGrabber

    public static class TileGrabber.Builder

extends java.lang.Object

Author:
  ddietrick

Field Summary
`protected boolean` | `extraVerbose`
`protected boolean` | `fill`
`protected int` | `fromZoom`
`protected double` | `maxlat`
`protected double` | `maxlon`
`protected int` | `maxx`
`protected int` | `maxy`
`protected double` | `minlat`
`protected double` | `minlon`
`protected int` | `minx`
`protected int` | `miny`
`protected java.lang.String` | `source`
`protected java.lang.String` | `target`
`protected boolean` | `tileBoundsSet`
`protected int` | `toZoom`
`protected boolean` | `verbose`

Constructor Summary
`TileGrabber.Builder(java.lang.String source)`

Method Summary
`protected boolean` | `checkZoomLevel(int zoomLevel)`
`protected void` | `fetchTilesForEsriGraphic(EsriGraphic eg)`
`protected void` | `fetchTilesForEsriGraphicList(EsriGraphicList egl)`
`TileGrabber.Builder` | `fromZoom(int zoomLevel)`
`protected int[]` | `getTileBoundsForProjection(LatLonPoint ul, LatLonPoint lr, int z)`
`void` | `go()` source: "http://192.168.99.100:32771/mapbox-studio-osm-bright/{z}/{x}/{y}.png" target: "/Users/dietrick/Downloads/st_osm_tiles"
`void` | `go(java.lang.String shapefile)`
`boolean` | `isFill()` Check whether the build process will only fetch tiles that don't exist.
`void` | `maxlat(double parsed)` set upper latitude of fetching
`void` | `maxlon(double parsed)` set upper longitude of fetching
`void` | `maxx(int parseInt)` Set the ending y number of the subjar file to create.
`void` | `maxy(int parseInt)` Set the ending y number of the subjar file to create.
`void` | `minlat(double parsed)` set lower latitude of fetching
`void` | `minlon(double parsed)` set lower longitude of fetching
`void` | `minx(int parseInt)` Set the starting x number of the subjar file to create.
`void` | `miny(int parseInt)` Set the starting y number of the subjar file to create.
`void` | `setFill(boolean fill)` Set whether the build process will only fetch tiles that don't exist.
`TileGrabber.Builder` | `targetFile(java.lang.String targetFile)`
`java.lang.String` | `toString()`
`TileGrabber.Builder` | `toZoom(int zoomLevel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### source

    protected java.lang.String source

### target

    protected java.lang.String target

### fromZoom

    protected int fromZoom

### toZoom

    protected int toZoom

### minx

    protected int minx

### miny

    protected int miny

### maxx

    protected int maxx

### maxy

    protected int maxy

### minlon

    protected double minlon

### minlat

    protected double minlat

### maxlon

    protected double maxlon

### maxlat

    protected double maxlat

### fill

    protected boolean fill

### verbose

    protected boolean verbose

### extraVerbose

    protected boolean extraVerbose

### tileBoundsSet

    protected boolean tileBoundsSet

Constructor Detail

### TileGrabber.Builder

    public TileGrabber.Builder(java.lang.String source)
                        throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

Method Detail

### targetFile

    public TileGrabber.Builder targetFile(java.lang.String targetFile)

### fromZoom

    public TileGrabber.Builder fromZoom(int zoomLevel)
                                 throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### toZoom

    public TileGrabber.Builder toZoom(int zoomLevel)
                               throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### checkZoomLevel

    protected boolean checkZoomLevel(int zoomLevel)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getTileBoundsForProjection

    protected int[] getTileBoundsForProjection(LatLonPoint ul,
                                               LatLonPoint lr,
                                               int z)

### go

    public void go()
            throws java.io.FileNotFoundException,
                   java.io.IOException

  source: "http://192.168.99.100:32771/mapbox-studio-osm-bright/{z}/{x}/{y}.png" target: "/Users/dietrick/Downloads/st_osm_tiles"

  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`

### go

    public void go(java.lang.String shapefile)
            throws java.io.FileNotFoundException,
                   java.io.IOException

  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`

### fetchTilesForEsriGraphicList

    protected void fetchTilesForEsriGraphicList(EsriGraphicList egl)
                                         throws java.io.FileNotFoundException,
                                                java.io.IOException

  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`

### fetchTilesForEsriGraphic

    protected void fetchTilesForEsriGraphic(EsriGraphic eg)
                                     throws java.io.FileNotFoundException,
                                            java.io.IOException

  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`

### minx

    public void minx(int parseInt)

  Set the starting x number of the subjar file to create. Depends on the subjar zoom to figure out what that means.

  Parameters:
    `parseInt` -

### miny

    public void miny(int parseInt)

  Set the starting y number of the subjar file to create. Depends on the subjar zoom to figure out what that means.

  Parameters:
    `parseInt` -

### maxx

    public void maxx(int parseInt)

  Set the ending y number of the subjar file to create. Depends on the subjar zoom to figure out what that means.

  Parameters:
    `parseInt` -

### maxy

    public void maxy(int parseInt)

  Set the ending y number of the subjar file to create. Depends on the subjar zoom to figure out what that means.

  Parameters:
    `parseInt` -

### minlon

    public void minlon(double parsed)

  set lower longitude of fetching

  Parameters:
    `parsed` -

### minlat

    public void minlat(double parsed)

  set lower latitude of fetching

  Parameters:
    `parsed` -

### maxlon

    public void maxlon(double parsed)

  set upper longitude of fetching

  Parameters:
    `parsed` -

### maxlat

    public void maxlat(double parsed)

  set upper latitude of fetching

  Parameters:
    `parsed` -

### isFill

    public boolean isFill()

  Check whether the build process will only fetch tiles that don't exist.

### setFill

    public void setFill(boolean fill)

  Set whether the build process will only fetch tiles that don't exist.

  Parameters:
    `fill` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details